Description

Use default configuration, after the PCU is started and conncted to the BTS,
call “write™ via vty.

History

#1 - 09/26/2019 04:39 PM - pespin

| could not see any issues regarding this ticket.

| tried with my usual config as well as with the example config from osmo-pcu/doc/examples/osmo-pcu.cfg, then connect it to the BTS, then on the
VTY | do "write" and restart osmo-pcu -> it starts correctly.

I then tried running without any config file as parameter (and no osmo-pcu.cfg present in $PWD). But then if | call "write" in VTY, | get:

# write
Can't save to configuration file, using vtysh.

#2 - 09/26/2019 05:35 PM - pespin

- Status changed from New to Feedback

With this patch, | was able to start osmo-pcu with no cfg file and then save it into a file. | can also start osmo-pcu with that generated cfg file with no
problem, so | think the issue is not longer present and can be closed. Leaving as feedback assigned to @lynxis.

https://gerrit.osmocom.org/c/libosmocore/+/15609 vty: Optionally Set/replace cfg file during cmd 'write file'

#3 - 09/27/2019 04:10 AM - fixeria

| think the issue is not longer present and can be closed. Leaving as feedback assigned to lynxis.

There was a problem with saving NS-related parameters, but it has been fixed by lynxis some time ago.

#4 - 09/27/2019 10:05 AM - pespin
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100
